/*
 * Code and supporting documentation (c) Copyright 1990 1991 Tektronix, Inc.
 * 	All Rights Reserved
 * 
 * This file is a component of an X Window System client which uses the Xcms 
 * Color Management System.  TekColor is a trademark of Tektronix, Inc.  The
 * TekColor Editor is the subject of U.S. and foreign patents pending.  The
 * term "TekHVC" designates a particular color space that is the subject of
 * U.S. Patent No. 4,985,853 (equivalent foreign patents pending).
 * Permission is hereby granted to use, copy, modify, sell, and otherwise
 * distribute this software and its documentation for the X Window System
 * environment, for any purpose and without fee, provided that:
 * 
 * 1.	The code and documentation are only used to implement a 
 *      TekColor Editor in an X Window System environment; and
 * 2.	This copyright and permission notice is reproduced in all copies
 * 	of the code and in supporting documentation.
 * 
 * Permission is granted to modify this code as required to allow it to
 * be compiled on any host computer, provided that the functionality of
 * the TekColor Editor is not modified in any way.  A description of any 
 * modifications must be sent to Tektronix, Inc.  Contact 
 * Tektronix Inc., P.O. Box 1000, Mail Station 60-850, 
 * Network Displays Division Engineering, Wilsonville, OR 97070.
 *
 * Tektronix makes no representation about the suitability of this software
 * for any purpose.  It is provided "as is" and with all faults.
 * 
 * TEKTRONIX DISCLAIMS ALL WARRANTIES APPLICABLE TO THIS SOFTWARE,
 * INCLUDING THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE.  IN NO EVENT SHALL TEKTRONIX BE LIABLE FOR ANY
 * SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER
 * RESULTING FROM LOSS OF USE, DATA, OR PROFITS, WHETHER IN AN ACTION OF
 * CONTRACT, NEGLIGENCE, OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
 * CONNECTION WITH THE USE OR THE PERFORMANCE OF THIS SOFTWARE.
 *  
 *  
 *	NAME
 *		ColorbarP.h -- private definitions for the colorbar.c
 *
 *	DESCRIPTION
 *		
 *
 *	HISTORY
 *
 *	HISTORY END
 *
 */

#ifndef LINT
#ifdef RCS_ID
static char *rcsid=  "$Header: ColorbarP.h,v 1.1 91/08/22 11:21:36 adamsc Exp $";
#endif /* RCS_ID */
#endif /* LINT */

#ifndef _ColorbarP_h
#define _ColorbarP_h

#include "Colorbar.h"
#include <X11/Xaw/SimpleP.h>
#include <X11/Xmu/Converters.h>

typedef struct {
    XtPointer extension;
} ColorbarWidgetClassPart;

typedef struct _ColorbarWidgetClassRec {
    CoreClassPart               core_class;
    SimpleClassPart             simple_class;
    ColorbarWidgetClassPart	colorbar_class;
} ColorbarWidgetClassRec;

extern ColorbarWidgetClassRec colorbarWidgetClassRec;

typedef struct {
    /* resources */
    Pixel base;
    int length;
    Pixel pixelInc;
    XtCallbackList select;
    XtOrientation orientation;
    Dimension max_width;

    /* private state */
    GC colorGC;
    int mapSize;
} ColorbarPart;

typedef struct _ColorbarWidgetRec {
    CorePart		core;
    SimplePart          simple;
    ColorbarPart	colorbar;
} ColorbarWidgetRec;

#endif  /* _ColorbarP_h */
